Bug 143680 - Port fix: sysutils/k3b - re-enable libdvdcss
Summary: Port fix: sysutils/k3b - re-enable libdvdcss
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-08 21:10 UTC by ganael.laplanche
Modified: 2010-05-15 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (879 bytes, patch)
2010-02-08 21:10 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2010-02-08 21:10:01 UTC
This patches fixes dlopen() for libdvdcss, which is libdvdcss.so.3.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-02-08 21:10:12 UTC
Maintainer of sysutils/k3b,

Please note that PR ports/143680 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143680

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-02-08 21:10:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 ganael.laplanche 2010-02-09 10:30:40 UTC
Hi,

Or even better, we can use the symlink (why try to load a fixed version ?) :

+-    s_libDvdCss = dlopen( "libdvdcss.so.2", RTLD_LAZY|RTLD_GLOBAL );
++    s_libDvdCss = dlopen( "libdvdcss.so", RTLD_LAZY|RTLD_GLOBAL );

Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org
Comment 4 Max Brazhnikov freebsd_committer 2010-05-15 21:09:21 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2010-05-15 21:09:45 UTC
makc        2010-05-15 20:09:05 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/k3b         Makefile 
  Added files:
    sysutils/k3b/files   patch-libk3b-tools-k3blibdvdcss.cpp 
  Log:
  Fix libdvdcss support.
  Remove useless assignments and fix spaces while here.
  
  PR:             ports/143680
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.com>
  Approved by:    maintainer timeout (three months)
  
  Revision  Changes    Path
  1.61      +2 -4      ports/sysutils/k3b/Makefile
  1.1       +11 -0     ports/sysutils/k3b/files/patch-libk3b-tools-k3blibdvdcss.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"